# RBObject

Superclass: | NSProxy
Declared In: | RubyCocoa/RBObject.h

## Introduction

Representation of Ruby objects in Objective-C world.

## Groups

### Creating and Initializing RBObject objects

#### Group members:

`-initWithRubyObject:`

  Returns a RBObject object from given ruby VALUE.

`-initWithRubyScriptCString:`

  Returns a RBObject object as result of evaluating the given ruby script.

`-initWithRubyScriptString:`

  Returns a RBObject object as result of evaluating the given ruby script.

`+RBObjectWithRubyScriptCString:`

  Returns an object as result of evaluating the given ruby script.

`+RBObjectWithRubyScriptString:`

  Returns an object as result of evaluating the given ruby script.

### Identifying Ruby Objects

#### Group members:

`-isRBObject`

  Ruturns a Boolean value that whether the reciever is a ruby object or not.

## Methods

`-initWithRubyObject:`

  Returns a RBObject object from given ruby VALUE.

`-initWithRubyScriptCString:`

  Returns a RBObject object as result of evaluating the given ruby script.

`-initWithRubyScriptString:`

  Returns a RBObject object as result of evaluating the given ruby script.

`-isRBObject`

  Ruturns a Boolean value that whether the reciever is a ruby object or not.

`+RBObjectWithRubyScriptCString:`

  Returns an object as result of evaluating the given ruby script.

`+RBObjectWithRubyScriptString:`

  Returns an object as result of evaluating the given ruby script.

### initWithRubyObject:

Returns a RBObject object from given ruby VALUE.

    - initWithRubyObject: (VALUE) rbobj;

### initWithRubyScriptCString:

Returns a RBObject object as result of evaluating the given ruby script.

    - initWithRubyScriptCString: (const char*) cstr;

### initWithRubyScriptString:

Returns a RBObject object as result of evaluating the given ruby script.

    - initWithRubyScriptString: (NSString*) str;

### isRBObject

Ruturns a Boolean value that whether the reciever is a ruby object or not.

    - (BOOL) isRBObject;

##### Return Value

YES if the reciever is a Ruby object, otherwise NO.

##### Discussion

RBObject is a subclass of NSProxy. Note that isKindOfClass: or isMemberOfClass: will not tests the proxy itself.

### RBObjectWithRubyScriptCString:

Returns an object as result of evaluating the given ruby script.

    + RBObjectWithRubyScriptCString: (const char*) cstr;

### RBObjectWithRubyScriptString:

Returns an object as result of evaluating the given ruby script.

    + RBObjectWithRubyScriptString: (NSString*) str;

Last Updated: Sunday, July 20, 2014